import { createContext, useContext, useMemo, useState } from 'react'
import lnbits from './lnbits2'

const storageKey = 'webln:providers'

const WebLNContext = createContext({})

export function useWebLN () {
  const { provider } = useContext(WebLNContext)
  return provider
}

export function RawWebLNProvider ({ children }) {
  const [provider, setProvider] = useState()

  const value = useMemo(() => ({ provider, setProvider }), [])
  return (
    <WebLNContext.Provider value={value}>
      {children}
    </WebLNContext.Provider>
  )
}
